Subject: Ticket Assigned - Returns
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 12 Feb 2021 02:01:58 +0000 (UTC)

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Good afternoon,

I just received the items from my order #9634652965 and everything was fine, more or less.
First feedback: too much plastic wrap around the detergent bottles. No needed.

Secondly and most importantly, I noticed that one of the items Bellini Bath Sponge, set of 2, was clearly unwrapped and closed with adhesive tape. It feels like it was opened by someone else and possibly returned.

I'm still okay with the items, but a little disappointed. I hope for hygienic reasons above all for newborn it was only an accident and not used by someone else. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2086655